// Dutchtronix AVR Oscilloscope Clock
//
//  Copyright  2010-2021 Johannes P.M. de Rie
//
//  All Rights Reserved
//
//  This file is part of the Dutchtronix Oscilloscope Clock Distribution.
//  Use, modification, and re-distribution is permitted subject to the
//  terms in the file named "LICENSE.TXT", which contains the full text
//  of the legal notices and should always accompany this Distribution.
//
//  This software is provided "AS IS" with NO WARRANTY OF ANY KIND.
//
//  This notice (including the copyright and warranty disclaimer)
//  must be included in all copies or derivations of this software.
//
// Firmware for Dutchtronix AVR Oscilloscope Clock
//
// Scope Clock Daylight Saving Time functions
//

#define DSTFORWARDMONTH 3
#define	DSTUSBACKMONTH 11
#define	DSTEUBACKMONTH 10
#define DSTBACKHOUR 2
#define DSTUSFORWARDHR 2
#define DSTEUFORWARDHR 1

extern void DSTRetroApply(void);
extern void DSTRetro(BOOL fAllowDSTFix);
extern void DSTRetroNotApply(void);

extern BOOL DSTGPSInWindow(void);
